Subject: [rbridge] Ingress Rbridge address and BCN

From: sgai at nuovasystems.com (Silvano Gai)
Date: Sat, 28 Oct 2006 08:28:32 -0700

Radia,

Today the largest layer 2 networks have 100,000 stations. This number is
still increasing and we may see 1 million stations. Using 256 port
switches, it requires 4,000 switches, to build a fat tree kind of
topology you need to multiply approximately by 2, so you are at 8,000.

16 bits works, but I am OK with the format proposed by Eric, i.e.

 0                   1                   2                   3
 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|                Egress                 |  CoS  |       TTL     | 
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 
|               Ingress                 |         Rerved        | 
+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+ 

IF the reserved bits can be used by the outcome of the ongoing FTAG
discussion (I still don't like the alignment :-).

Can we assume that we have agreed on the Ingress RBridge address, focus
on the FTAG and try to close?

-- Silvano

> -----Original Message-----
> From: rbridge-bounces at postel.org [mailto:rbridge-bounces at postel.org]
On
> Behalf Of Radia Perlman
> Sent: Friday, October 27, 2006 11:21 AM
> To: Gray, Eric
> Cc: rbridge at postel.org
> Subject: Re: [rbridge] Ingress Rbridge address and BCN
> 
> Summary of below---asking how many RBridges anyone would ever expect
to
> need in a single campus.
> 
> Gray, Eric wrote:
> 
> >Radia,
> >
> >	I don't know where the idea that we only need a 2-byte
> >nick-name comes from.  When did we change from the idea of using
> >an MPLS (or MPLS-like) SHIM with 19 bits to represent specific
> >RBridges to using a completely different SHIM and only requiring
> >16-bits of RBridge identification?
> >
> The number 19-bits was chosen just because the MPLS label field was 20
> bits,
> and we were stealing one to indicate whether the field was "ingress"
or
> "egress".
> There was no science behind 19-bits other than it happened to be
there,
> and
> seemed uncontroversially way more than we'd actually need, so would
> clearly be big enough.
> 
> If we weren't using an MPLS-like header, then we can actually think
about
> what size field we'd need. We wouldn't want the nickname space to be
> too densely used, so 16 bits would support, say, 30,000 RBridges.
> 
> So the question is---how many RBridges would anyone need? Remember,
this
> is for
> your "LAN"---it's not intended to replace layer 3. What size bridged
> networks
> are people building today? More than 1000 bridges?
> 
> So if nobody is building anything more than 1000 bridges, say, then 16
> bits is
> safe. If 16 bits isn't safe, then sure, we can pick a different size
> field.
> 
> 
> Radia
> 
> 
> 
> _______________________________________________
> rbridge mailing list
> rbridge at postel.org
> http://mailman.postel.org/mailman/listinfo/rbridge